Airwallex logo
Airwallex logoAirwallex logo

Payment Acceptance

Copy for LLMView as Markdown

Simulate shopper actions on dispute in the sandbox environment.

Endpoints
POST /api/v1/simulation/pa/shopper_actions/{action}
POST /api/v1/simulation/pa/payment_disputes/create
POST /api/v1/simulation/pa/payment_disputes/{id}/resolve
POST /api/v1/simulation/pa/payment_disputes/{id}/escalate

Simulate a shopper action

POST /api/v1/simulation/pa/shopper_actions/{action}

You can use this endpoint to simulate the shopper actions after obtaining a redirect URL for a PaymentIntent or PaymentConsent. Upon successful simulation of a shopper action on the given URL, a response with HTTP status 200 OK and empty body will be returned. This endpoint is only available in the sandbox environment.

Parameters
actionrequiredstring

Action to simulate on a given redirect URL. Supported values are:

PaymentIntent: pay and reject.

PaymentConsent: verify.

Request body
urlrequiredstring

The url with which shoppers actions will be simulated after redirection. Usually obtained from the response of Confirm a PaymentIntent and Verify a PaymentConsent.

Response body - 200 OK
No response body
Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, operation_not_supported.

500

Server Error. Possible error codes: internal_error.

POST /api/v1/simulation/pa/shopper_actions/{action}
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/pa/shopper_actions/action' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "url": "https://api-demo.airwallex.com/pa/sandbox/sg/mck_hkdmt2qn2gk5b13d15o"
>}'
Was this section helpful?

Create a PaymentDispute

POST /api/v1/simulation/pa/payment_disputes/create

By creating a dispute, we raise a dispute for the merchant to respond.

Request body
amountnumber

The amount of dispute in transaction currency. The original payment amount is used by default.

commentstring

The text description of why the dispute is raised.

documentsarray

The documents explain why the dispute is raised. The list of File unique identifiers submitted via File Service.

due_atrequiredstring

The due date of dispute.

payment_intent_idrequiredstring

The unique identifier of PaymentIntent to raise a dispute against

reason_coderequiredstring

The reason code for the dispute. Must be a valid reason code for the given processor.

stagerequiredstring

The stage of dispute

Response body - 201 Created
accept_detailsarray

Further details on why the client is accepting the PaymentDispute event.

accept_details.accepted_atstring

The time when the user accepted the PaymentDispute.

accept_details.accepted_bystring

User unique identifier of person/system actioned on case.

accept_details.descriptionstring

The accept description.

accept_details.reasonstring

The accept reason. One of

  • AGREEMENT_REACHED_WITH_CUSTOMER
  • CUSTOMER_RELATIONSHIP_MAINTENANCE
  • LOW_VALUE_TRANSACTION
  • VALID_CUSTOMER_DISPUTE
  • NO_ACTION_TAKEN_BY_MERCHANT
  • RDR_AUTO_ACCEPTED
  • COLLABORATION_ACCEPTED_MANUAL
  • COLLABORATION_AUTO_ACCEPTED
  • COLLABORATION_AUTO_ACCEPTED_BY_EXPIRY
  • OTHERS
accept_details.refundobject

The Refund requested to be created.

accept_details.refund.amountnumber

The refund amount when accepting RFI. If not specified, it will be same as the remaining amount that has been captured but not yet refunded. Please refer to supported currencies for supported minor units.

accept_details.refund.reasonstring

The refund reason when accepting RFI. OTHERS is used by default. One of REQUESTED_BY_CUSTOMER, DUPLICATE, FRAUDULENT, ABANDONED, and OTHERS

accept_details.stagestring

The stage when dispute is accepted.

acquirer_reference_numberstring

The acquirer reference number of original payment.

amountnumber

PaymentDispute amount.

card_brandstring

The card brand of original payment, applicable when payment_method_type is CARD. Possible values: visa, mastercard, maestro, union pay, american express, jcb, diners club international and discover.

challenge_detailsarray

The challenge data submitted at each stage.

challenge_details.challenged_atstring

The time when the user challenges PaymentDispute.

challenge_details.challenged_bystring

User unique identifier of person/system challenges PaymentDispute.

challenge_details.customer_infoobject

Customer information.

challenge_details.customer_info.billing_addressstring

Customer billing address.

challenge_details.customer_info.device_idstring

Customer device unique identifier.

challenge_details.customer_info.emailstring

Customer email.

challenge_details.customer_info.ipstring

Customer ip.

challenge_details.customer_info.namestring

Customer name.

challenge_details.customer_info.phone_numberstring

Customer phone number.

challenge_details.delivery_infoobject

The delivery information.

challenge_details.delivery_info.addressstring

The shipping address. Applicable at stage RFI.

challenge_details.delivery_info.delivered_atstring

The date when services or goods are delivered.

challenge_details.delivery_info.fee_amountnumber

The amount of shipping fee. Applicable at stage RFI.

challenge_details.delivery_info.fee_currencystring

The currency of shipping fee. Applicable at stage RFI.

challenge_details.delivery_info.namestring

The recipient's name. Applicable at stage RFI.

challenge_details.delivery_info.phone_numberstring

The recipient's phone number. Applicable at stage RFI.

challenge_details.delivery_info.shipped_atstring

The shipping date (the expected delivery date for RFI).

challenge_details.delivery_info.shipping_companystring

The company name managing this delivery, such as asendia-usa, 4px, and so on.

challenge_details.delivery_info.shipping_methodstring

The shipping method, such as Priority Mail, Flat rate, and so on. Applicable at stage RFI.

challenge_details.delivery_info.statusstring

The shipping status, such as SHIPPED, DELIVERED, and so on. Applicable at stage RFI.

challenge_details.delivery_info.tracking_numberstring

The shipping tracking number.

challenge_details.order_infoobject

The order information. Applicable when the stage is RFI.

challenge_details.order_info.created_atstring

Time at which this order was created.

challenge_details.order_info.idstring

The order unique identifier.

challenge_details.order_info.invoice_numberstring

The invoice number of order.

challenge_details.order_info.productsarray

The products of order.

challenge_details.order_info.products.currencystring

The product currency. Please refer to supported currencies .

challenge_details.order_info.products.namestring

The product name.

challenge_details.order_info.products.quantitynumber

The product quantity.

challenge_details.order_info.products.unit_pricenumber

The product unit price.

challenge_details.order_info.total_amountnumber

The total amount of order.

challenge_details.order_info.total_currencystring

The currency of total amount.

challenge_details.product_descriptionstring

The description of product.

challenge_details.product_typestring

The type of Product.

challenge_details.reasonstring

The reason why the merchant challenges the dispute. Possible values:

  • CUSTOMER_WITHDRAWN: The customer withdrew the dispute
  • CUSTOMER_REFUNDED: The customer has already been refunded
  • PRODUCT_RECEIVED: The customer has already received / will receive the product or service
  • NOT_ENTITLED: The customer is not entitled to refund
  • AUTHENTIC_PRODUCT: The product is not damaged, defective or counterfeit
  • OTHER_REASONS: Other reasons for challenging
challenge_details.refund_refusal_reasonstring

Explanation of why refund is refused.

challenge_details.seller_infoobject

Merchant information.

challenge_details.seller_info.namestring

Seller name.

challenge_details.seller_info.store_namestring

Store name.

challenge_details.seller_info.store_physical_addressstring

Store physical address.

challenge_details.seller_info.store_urlstring

Store URL.

challenge_details.stagestring

The stage when evidence is submitted.

challenge_details.supporting_documentsobject

The file unique identifiers of support documents.

challenge_details.supporting_documents.customer_communication_documentsarray

The file IDs of customer communication. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.customer_signature_documentsarray

The file IDs of customer signature. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.documentsarray

List of documents.

challenge_details.supporting_documents.documents.descriptionstring

Additional file descriptions or explanations.

challenge_details.supporting_documents.documents.file_idsarray

File unique identifiers of the documents.

challenge_details.supporting_documents.documents.typestring

Type of the documents. Possible values: PRIMARY, ORDER, CUSTOMER, OTHER.

  • PRIMARY: The primary evidence depends on the challenge reason.
  • ORDER: Order related evidence.
  • CUSTOMER: Customer related evidence.
  • OTHER: Other supporting evidence.
challenge_details.supporting_documents.duplicate_charge_defense_documentsarray

The file IDs of duplicate payment evidence. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.generated_filesarray

The file unique identifiers of the files generated by Airwallex automatically based on text evidence or refund information.

challenge_details.supporting_documents.other_documentsarray

The list of file IDs of other documents.
Deprecated. Use documents instead.

challenge_details.supporting_documents.proof_of_delivery_documentsarray

The file IDs of proof of delivery. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.receipt_documentsarray

The file IDs of the receipt. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.refund_policy_documentsarray

The file IDs of the refund policy. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

created_atstring

Time at which this PaymentDispute was created.

currencystring

PaymentDispute currency.

customer_idstring

The customer unique identifier of original payment.

customer_namestring

The customer name of original payment.

due_atstring

PaymentDispute due date.

idstring

PaymentDispute unique identifier.

issuer_commentstring

The issuer’s comment on PaymentDispute.

issuer_documentsarray

The issuer’s documents on PaymentDispute.

merchant_order_idstring

The order unique identifier of original payment.

modestring

PaymentDispute mode. Possible values: ALLOCATION, COLLABORATION, applicable when the stage is CHARGEBACK, PRE_ARBITRATION and ARBITRATION.

payment_attempt_idstring

PaymentAttempt unique identifier.

payment_intent_idstring

PaymentIntent unique identifier.

payment_method_typestring

The payment method type of original payment.

reasonobject

PaymentDispute reason.

reason.descriptionstring

PaymentDispute reason description.

reason.original_codestring

PaymentDispute reason code.

reason.typestring

PaymentDispute reason type. Possible values: CREDIT_NOT_PROCESSED, FRAUDULENT, DUPLICATE_CHARGE, PRODUCT_NOT_RECEIVED, PRODUCT_UNACCEPTABLE, UNRECOGNIZED_CHARGE, CANCELLED_PRODUCT, MISREPRESENTATION, COUNTERFEIT_PRODUCT, PROCESSING_ERRORS, AUTHORIZATION, NOT_RECOGNIZED, BANK_REJECTION, FUND_REVERSAL, CONSUMER_DISPUTE, POINT_OF_INTERACTION_ERROR and UNKNOWN.

refundsarray

The Refunds of original payment.

refunds.acquirer_reference_numberstring

The acquirer reference number of Refund.

refunds.idstring

Refund unique identifier.

stagestring

PaymentDispute stage.

statusstring

PaymentDispute status. Possible values:

  • REQUIRES_RESPONSE: In this status, you can decide whether to accept or challenge the PaymentDispute.
    • Applicable when receive notification from card schemes that PaymentDispute has entered RFI, PRE_CHARGEBACK, CHARGEBACK, or PRE_ARBITRATION stage.
  • CHALLENGED: In this status, we have informed the issuing bank that you would like to challenge the PaymentDispute.
    • Applicable when you challenge the PaymentDispute. At PRE_CHARGEBACK stage, the issuing bank will escalate to the chargeback stage in the following days. At RFI, CHARGEBACK, and PRE_ARBITRATION stage, the issuing bank will review your submitted evidence and decide whether to escalate the PaymentDispute or not.
  • ACCEPTED: In this status the PaymentDispute has been accepted and the payment will be refunded to the shopper.
    • Applicable when you accept the PaymentDispute at RFI, PRE_CHARGEBACK, CHARGEBACK, and PRE_ARBITRATION stage.
  • REVERSED: In this status, the PaymentDispute has been reversed by the issuing bank. No further action is required.
    • Applicable when receive notification from card schemes that PaymentDispute has been reversed at PRE_CHARGEBACK, CHARGEBACK, and PRE_ARBITRATION stage.
  • WON: In this status, the issuing bank has accepted the response provided, or card schemes have ruled the PaymentDispute decision in your favor. No further action is required.
    • Applicable at CHARGEBACK, PRE_ARBITRATION and ARBITRATION stage.
  • LOST: In this status, the issuing bank has not accepted the evidence provided by you, or card schemes have ruled the PaymentDispute decision in Issuer’s favor. No further action is required.
    • Applicable at PRE_ARBITRATION and ARBITRATION stage.
  • PENDING_CLOSURE: In this status, the issuing bank has escalated the PaymentDispute to PRE_ARBITRATION stage and Airwallex is reviewing the PaymentDispute. Airwallex will decide whether to accept the PaymentDispute or respond to it on your behalf and may reach out to you for more information.
    • Applicable at PRE_ARBITRATION stage.
  • EXPIRED: In this status, the RFI event has expired as you have not responded to the request within 15 days.
    • Applicable at RFI stage.
  • PENDING_DECISION: In this status, we have responded to the issuing bank with evidence provided by you. The issuing bank will review your submitted evidence and decide whether to accept the PaymentDispute or not.
    • Applicable at PRE_ARBITRATION and ARBITRATION stage.
transaction_typestring

The transaction type of the original transaction. Possible values: PAYMENT, REFUND.

updated_atstring

Last time at which this PaymentDispute was updated or operated on.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/pa/payment_disputes/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/pa/payment_disputes/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "amount": 100,
> "comment": "<string>",
> "documents": [
> "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ"
> ],
> "due_at": "2025-05-20T13:14:00+0000",
> "payment_intent_id": "int_hkpdskz7vg1xc7uscdj",
> "reason_code": "<string>",
> "stage": "RFI"
>}'
Response (201 Created)
1{
2 "accept_details": [
3 {
4 "accepted_at": "2023-09-18T03:11:00+0000",
5 "accepted_by": "[email protected]",
6 "description": "ACCEPT",
7 "reason": "ee939540-3203-4a2c-9172-89a566485dd9",
8 "refund": {
9 "amount": 10,
10 "reason": "REQUESTED_BY_CUSTOMER"
11 }
12 }
13 ],
14 "acquirer_reference_number": "789456",
15 "amount": 100,
16 "card_brand": "visa",
17 "challenge_details": [
18 {
19 "challenged_at": "2023-09-18T03:11:00+0000",
20 "challenged_by": "[email protected]",
21 "customer_info": {
22 "billing_address": "Billing address",
23 "device_id": "00000000-000000000000000",
24 "email": "[email protected]",
25 "ip": "212.121.222.123",
26 "name": "John Deo",
27 "phone_number": "13800000000"
28 },
29 "delivery_info": {
30 "address": "Shipping address",
31 "delivered_at": "2023-09-18T03:11:00+0000",
32 "fee_amount": 10,
33 "fee_currency": "USD",
34 "name": "Joe Doe",
35 "phone_number": "13800000000",
36 "shipped_at": "2023-09-18T03:11:00+0000",
37 "shipping_company": "Shipping company",
38 "shipping_method": "Shipping method",
39 "status": "SHIPPED",
40 "tracking_number": "123456"
41 },
42 "order_info": {
43 "created_at": "2023-09-18T03:11:00+0000",
44 "id": "123456",
45 "invoice_number": "456123",
46 "products": [
47 {
48 "currency": "USD",
49 "name": "product",
50 "quantity": 2,
51 "unit_price": 100
52 }
53 ],
54 "total_amount": 200,
55 "total_currency": "USD"
56 },
57 "product_description": "product description",
58 "product_type": "PHYSICAL_GOODS",
59 "reason": "CUSTOMER_WITHDRAWN",
60 "refund_refusal_reason": "reason",
61 "seller_info": {
62 "name": "seller",
63 "store_name": "store",
64 "store_physical_address": "store address",
65 "store_url": "https://www.store-url.com"
66 },
67 "stage": "CHARGEBACK",
68 "supporting_documents": {
69 "customer_communication_documents": [
70 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
71 ],
72 "customer_signature_documents": [
73 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
74 ],
75 "documents": [
76 {
77 "description": "document descriptions",
78 "file_ids": [
79 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
80 ],
81 "type": "PRIMARY"
82 }
83 ],
84 "duplicate_charge_defense_documents": [
85 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
86 ],
87 "generated_files": [
88 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
89 ],
90 "other_documents": [
91 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
92 ],
93 "proof_of_delivery_documents": [
94 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
95 ],
96 "receipt_documents": [
97 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
98 ],
99 "refund_policy_documents": [
100 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
101 ]
102 }
103 }
104 ],
105 "created_at": "2023-09-18T03:11:00+0000",
106 "currency": "USD",
107 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
108 "customer_name": "John Doe",
109 "due_at": "2023-09-18T03:11:00+0000",
110 "id": "dst_nlstrf5jxgp32pfqbtq",
111 "issuer_comment": "comment",
112 "issuer_documents": [
113 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
114 ],
115 "merchant_order_id": "123456",
116 "mode": "COLLABORATION",
117 "payment_attempt_id": "att_nlstskcx5gipkzd6kse_dwsja0_decrp",
118 "payment_intent_id": "int_nlstbs6rlgipjdwsja0_decrp",
119 "payment_method_type": "VISA",
120 "reason": {
121 "description": "<string>",
122 "original_code": "<string>",
123 "type": "PRODUCT_NOT_RECEIVED"
124 },
125 "refunds": [
126 {
127 "acquirer_reference_number": "02709821210000001031868",
128 "id": "rfd_ps8e0ZgQzd2QnCxVpzJrHD6KOVu"
129 }
130 ],
131 "stage": "CHARGEBACK",
132 "status": "RECEIVED",
133 "transaction_type": "PAYMENT",
134 "updated_at": "2023-09-18T03:11:00+0000"
135}
Was this section helpful?

Resolve a PaymentDispute

POST /api/v1/simulation/pa/payment_disputes/{id}/resolve

By resolving a dispute, the dispute transitions to the final status.

  • When in_favor_of = MERCHANT, the dispute becomes WON or REVERSED
  • When in_favor_of = CUSTOMER, the dispute becomes LOST
Parameters
idrequiredstring

PaymentDispute unique identifier

Request body
amountnumber

The resolved amount. The full disputed amount is used by default.

commentstring

The text explains why the dispute is resolved.

in_favor_ofrequiredstring

The party who is in favor of when resolving the dispute. One of MERCHANT, CUSTOMER.

Response body - 200 OK
accept_detailsarray

Further details on why the client is accepting the PaymentDispute event.

accept_details.accepted_atstring

The time when the user accepted the PaymentDispute.

accept_details.accepted_bystring

User unique identifier of person/system actioned on case.

accept_details.descriptionstring

The accept description.

accept_details.reasonstring

The accept reason. One of

  • AGREEMENT_REACHED_WITH_CUSTOMER
  • CUSTOMER_RELATIONSHIP_MAINTENANCE
  • LOW_VALUE_TRANSACTION
  • VALID_CUSTOMER_DISPUTE
  • NO_ACTION_TAKEN_BY_MERCHANT
  • RDR_AUTO_ACCEPTED
  • COLLABORATION_ACCEPTED_MANUAL
  • COLLABORATION_AUTO_ACCEPTED
  • COLLABORATION_AUTO_ACCEPTED_BY_EXPIRY
  • OTHERS
accept_details.refundobject

The Refund requested to be created.

accept_details.refund.amountnumber

The refund amount when accepting RFI. If not specified, it will be same as the remaining amount that has been captured but not yet refunded. Please refer to supported currencies for supported minor units.

accept_details.refund.reasonstring

The refund reason when accepting RFI. OTHERS is used by default. One of REQUESTED_BY_CUSTOMER, DUPLICATE, FRAUDULENT, ABANDONED, and OTHERS

accept_details.stagestring

The stage when dispute is accepted.

acquirer_reference_numberstring

The acquirer reference number of original payment.

amountnumber

PaymentDispute amount.

card_brandstring

The card brand of original payment, applicable when payment_method_type is CARD. Possible values: visa, mastercard, maestro, union pay, american express, jcb, diners club international and discover.

challenge_detailsarray

The challenge data submitted at each stage.

challenge_details.challenged_atstring

The time when the user challenges PaymentDispute.

challenge_details.challenged_bystring

User unique identifier of person/system challenges PaymentDispute.

challenge_details.customer_infoobject

Customer information.

challenge_details.customer_info.billing_addressstring

Customer billing address.

challenge_details.customer_info.device_idstring

Customer device unique identifier.

challenge_details.customer_info.emailstring

Customer email.

challenge_details.customer_info.ipstring

Customer ip.

challenge_details.customer_info.namestring

Customer name.

challenge_details.customer_info.phone_numberstring

Customer phone number.

challenge_details.delivery_infoobject

The delivery information.

challenge_details.delivery_info.addressstring

The shipping address. Applicable at stage RFI.

challenge_details.delivery_info.delivered_atstring

The date when services or goods are delivered.

challenge_details.delivery_info.fee_amountnumber

The amount of shipping fee. Applicable at stage RFI.

challenge_details.delivery_info.fee_currencystring

The currency of shipping fee. Applicable at stage RFI.

challenge_details.delivery_info.namestring

The recipient's name. Applicable at stage RFI.

challenge_details.delivery_info.phone_numberstring

The recipient's phone number. Applicable at stage RFI.

challenge_details.delivery_info.shipped_atstring

The shipping date (the expected delivery date for RFI).

challenge_details.delivery_info.shipping_companystring

The company name managing this delivery, such as asendia-usa, 4px, and so on.

challenge_details.delivery_info.shipping_methodstring

The shipping method, such as Priority Mail, Flat rate, and so on. Applicable at stage RFI.

challenge_details.delivery_info.statusstring

The shipping status, such as SHIPPED, DELIVERED, and so on. Applicable at stage RFI.

challenge_details.delivery_info.tracking_numberstring

The shipping tracking number.

challenge_details.order_infoobject

The order information. Applicable when the stage is RFI.

challenge_details.order_info.created_atstring

Time at which this order was created.

challenge_details.order_info.idstring

The order unique identifier.

challenge_details.order_info.invoice_numberstring

The invoice number of order.

challenge_details.order_info.productsarray

The products of order.

challenge_details.order_info.products.currencystring

The product currency. Please refer to supported currencies .

challenge_details.order_info.products.namestring

The product name.

challenge_details.order_info.products.quantitynumber

The product quantity.

challenge_details.order_info.products.unit_pricenumber

The product unit price.

challenge_details.order_info.total_amountnumber

The total amount of order.

challenge_details.order_info.total_currencystring

The currency of total amount.

challenge_details.product_descriptionstring

The description of product.

challenge_details.product_typestring

The type of Product.

challenge_details.reasonstring

The reason why the merchant challenges the dispute. Possible values:

  • CUSTOMER_WITHDRAWN: The customer withdrew the dispute
  • CUSTOMER_REFUNDED: The customer has already been refunded
  • PRODUCT_RECEIVED: The customer has already received / will receive the product or service
  • NOT_ENTITLED: The customer is not entitled to refund
  • AUTHENTIC_PRODUCT: The product is not damaged, defective or counterfeit
  • OTHER_REASONS: Other reasons for challenging
challenge_details.refund_refusal_reasonstring

Explanation of why refund is refused.

challenge_details.seller_infoobject

Merchant information.

challenge_details.seller_info.namestring

Seller name.

challenge_details.seller_info.store_namestring

Store name.

challenge_details.seller_info.store_physical_addressstring

Store physical address.

challenge_details.seller_info.store_urlstring

Store URL.

challenge_details.stagestring

The stage when evidence is submitted.

challenge_details.supporting_documentsobject

The file unique identifiers of support documents.

challenge_details.supporting_documents.customer_communication_documentsarray

The file IDs of customer communication. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.customer_signature_documentsarray

The file IDs of customer signature. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.documentsarray

List of documents.

challenge_details.supporting_documents.documents.descriptionstring

Additional file descriptions or explanations.

challenge_details.supporting_documents.documents.file_idsarray

File unique identifiers of the documents.

challenge_details.supporting_documents.documents.typestring

Type of the documents. Possible values: PRIMARY, ORDER, CUSTOMER, OTHER.

  • PRIMARY: The primary evidence depends on the challenge reason.
  • ORDER: Order related evidence.
  • CUSTOMER: Customer related evidence.
  • OTHER: Other supporting evidence.
challenge_details.supporting_documents.duplicate_charge_defense_documentsarray

The file IDs of duplicate payment evidence. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.generated_filesarray

The file unique identifiers of the files generated by Airwallex automatically based on text evidence or refund information.

challenge_details.supporting_documents.other_documentsarray

The list of file IDs of other documents.
Deprecated. Use documents instead.

challenge_details.supporting_documents.proof_of_delivery_documentsarray

The file IDs of proof of delivery. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.receipt_documentsarray

The file IDs of the receipt. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.refund_policy_documentsarray

The file IDs of the refund policy. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

created_atstring

Time at which this PaymentDispute was created.

currencystring

PaymentDispute currency.

customer_idstring

The customer unique identifier of original payment.

customer_namestring

The customer name of original payment.

due_atstring

PaymentDispute due date.

idstring

PaymentDispute unique identifier.

issuer_commentstring

The issuer’s comment on PaymentDispute.

issuer_documentsarray

The issuer’s documents on PaymentDispute.

merchant_order_idstring

The order unique identifier of original payment.

modestring

PaymentDispute mode. Possible values: ALLOCATION, COLLABORATION, applicable when the stage is CHARGEBACK, PRE_ARBITRATION and ARBITRATION.

payment_attempt_idstring

PaymentAttempt unique identifier.

payment_intent_idstring

PaymentIntent unique identifier.

payment_method_typestring

The payment method type of original payment.

reasonobject

PaymentDispute reason.

reason.descriptionstring

PaymentDispute reason description.

reason.original_codestring

PaymentDispute reason code.

reason.typestring

PaymentDispute reason type. Possible values: CREDIT_NOT_PROCESSED, FRAUDULENT, DUPLICATE_CHARGE, PRODUCT_NOT_RECEIVED, PRODUCT_UNACCEPTABLE, UNRECOGNIZED_CHARGE, CANCELLED_PRODUCT, MISREPRESENTATION, COUNTERFEIT_PRODUCT, PROCESSING_ERRORS, AUTHORIZATION, NOT_RECOGNIZED, BANK_REJECTION, FUND_REVERSAL, CONSUMER_DISPUTE, POINT_OF_INTERACTION_ERROR and UNKNOWN.

refundsarray

The Refunds of original payment.

refunds.acquirer_reference_numberstring

The acquirer reference number of Refund.

refunds.idstring

Refund unique identifier.

stagestring

PaymentDispute stage.

statusstring

PaymentDispute status. Possible values:

  • REQUIRES_RESPONSE: In this status, you can decide whether to accept or challenge the PaymentDispute.
    • Applicable when receive notification from card schemes that PaymentDispute has entered RFI, PRE_CHARGEBACK, CHARGEBACK, or PRE_ARBITRATION stage.
  • CHALLENGED: In this status, we have informed the issuing bank that you would like to challenge the PaymentDispute.
    • Applicable when you challenge the PaymentDispute. At PRE_CHARGEBACK stage, the issuing bank will escalate to the chargeback stage in the following days. At RFI, CHARGEBACK, and PRE_ARBITRATION stage, the issuing bank will review your submitted evidence and decide whether to escalate the PaymentDispute or not.
  • ACCEPTED: In this status the PaymentDispute has been accepted and the payment will be refunded to the shopper.
    • Applicable when you accept the PaymentDispute at RFI, PRE_CHARGEBACK, CHARGEBACK, and PRE_ARBITRATION stage.
  • REVERSED: In this status, the PaymentDispute has been reversed by the issuing bank. No further action is required.
    • Applicable when receive notification from card schemes that PaymentDispute has been reversed at PRE_CHARGEBACK, CHARGEBACK, and PRE_ARBITRATION stage.
  • WON: In this status, the issuing bank has accepted the response provided, or card schemes have ruled the PaymentDispute decision in your favor. No further action is required.
    • Applicable at CHARGEBACK, PRE_ARBITRATION and ARBITRATION stage.
  • LOST: In this status, the issuing bank has not accepted the evidence provided by you, or card schemes have ruled the PaymentDispute decision in Issuer’s favor. No further action is required.
    • Applicable at PRE_ARBITRATION and ARBITRATION stage.
  • PENDING_CLOSURE: In this status, the issuing bank has escalated the PaymentDispute to PRE_ARBITRATION stage and Airwallex is reviewing the PaymentDispute. Airwallex will decide whether to accept the PaymentDispute or respond to it on your behalf and may reach out to you for more information.
    • Applicable at PRE_ARBITRATION stage.
  • EXPIRED: In this status, the RFI event has expired as you have not responded to the request within 15 days.
    • Applicable at RFI stage.
  • PENDING_DECISION: In this status, we have responded to the issuing bank with evidence provided by you. The issuing bank will review your submitted evidence and decide whether to accept the PaymentDispute or not.
    • Applicable at PRE_ARBITRATION and ARBITRATION stage.
transaction_typestring

The transaction type of the original transaction. Possible values: PAYMENT, REFUND.

updated_atstring

Last time at which this PaymentDispute was updated or operated on.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/pa/payment_disputes/{id}/resolve
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/pa/payment_disputes/payment_acceptance_id/resolve' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "amount": 100,
> "comment": "<string>",
> "in_favor_of": "MERCHANT"
>}'
Response (200 OK)
1{
2 "accept_details": [
3 {
4 "accepted_at": "2023-09-18T03:11:00+0000",
5 "accepted_by": "[email protected]",
6 "description": "ACCEPT",
7 "reason": "ee939540-3203-4a2c-9172-89a566485dd9",
8 "refund": {
9 "amount": 10,
10 "reason": "REQUESTED_BY_CUSTOMER"
11 }
12 }
13 ],
14 "acquirer_reference_number": "789456",
15 "amount": 100,
16 "card_brand": "visa",
17 "challenge_details": [
18 {
19 "challenged_at": "2023-09-18T03:11:00+0000",
20 "challenged_by": "[email protected]",
21 "customer_info": {
22 "billing_address": "Billing address",
23 "device_id": "00000000-000000000000000",
24 "email": "[email protected]",
25 "ip": "212.121.222.123",
26 "name": "John Deo",
27 "phone_number": "13800000000"
28 },
29 "delivery_info": {
30 "address": "Shipping address",
31 "delivered_at": "2023-09-18T03:11:00+0000",
32 "fee_amount": 10,
33 "fee_currency": "USD",
34 "name": "Joe Doe",
35 "phone_number": "13800000000",
36 "shipped_at": "2023-09-18T03:11:00+0000",
37 "shipping_company": "Shipping company",
38 "shipping_method": "Shipping method",
39 "status": "SHIPPED",
40 "tracking_number": "123456"
41 },
42 "order_info": {
43 "created_at": "2023-09-18T03:11:00+0000",
44 "id": "123456",
45 "invoice_number": "456123",
46 "products": [
47 {
48 "currency": "USD",
49 "name": "product",
50 "quantity": 2,
51 "unit_price": 100
52 }
53 ],
54 "total_amount": 200,
55 "total_currency": "USD"
56 },
57 "product_description": "product description",
58 "product_type": "PHYSICAL_GOODS",
59 "reason": "CUSTOMER_WITHDRAWN",
60 "refund_refusal_reason": "reason",
61 "seller_info": {
62 "name": "seller",
63 "store_name": "store",
64 "store_physical_address": "store address",
65 "store_url": "https://www.store-url.com"
66 },
67 "stage": "CHARGEBACK",
68 "supporting_documents": {
69 "customer_communication_documents": [
70 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
71 ],
72 "customer_signature_documents": [
73 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
74 ],
75 "documents": [
76 {
77 "description": "document descriptions",
78 "file_ids": [
79 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
80 ],
81 "type": "PRIMARY"
82 }
83 ],
84 "duplicate_charge_defense_documents": [
85 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
86 ],
87 "generated_files": [
88 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
89 ],
90 "other_documents": [
91 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
92 ],
93 "proof_of_delivery_documents": [
94 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
95 ],
96 "receipt_documents": [
97 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
98 ],
99 "refund_policy_documents": [
100 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
101 ]
102 }
103 }
104 ],
105 "created_at": "2023-09-18T03:11:00+0000",
106 "currency": "USD",
107 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
108 "customer_name": "John Doe",
109 "due_at": "2023-09-18T03:11:00+0000",
110 "id": "dst_nlstrf5jxgp32pfqbtq",
111 "issuer_comment": "comment",
112 "issuer_documents": [
113 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
114 ],
115 "merchant_order_id": "123456",
116 "mode": "COLLABORATION",
117 "payment_attempt_id": "att_nlstskcx5gipkzd6kse_dwsja0_decrp",
118 "payment_intent_id": "int_nlstbs6rlgipjdwsja0_decrp",
119 "payment_method_type": "VISA",
120 "reason": {
121 "description": "<string>",
122 "original_code": "<string>",
123 "type": "PRODUCT_NOT_RECEIVED"
124 },
125 "refunds": [
126 {
127 "acquirer_reference_number": "02709821210000001031868",
128 "id": "rfd_ps8e0ZgQzd2QnCxVpzJrHD6KOVu"
129 }
130 ],
131 "stage": "CHARGEBACK",
132 "status": "RECEIVED",
133 "transaction_type": "PAYMENT",
134 "updated_at": "2023-09-18T03:11:00+0000"
135}
Was this section helpful?

Escalate a PaymentDispute

POST /api/v1/simulation/pa/payment_disputes/{id}/escalate

By escalating a dispute, the evidence provided by the merchant is declined, and the dispute is escalated to the next stage.

Parameters
idrequiredstring

PaymentDispute unique identifier

Request body
amountnumber

The adjusted amount of dispute.

commentstring

The text description of why the dispute is escalated.

documentsarray

The documents explain why the dispute is escalated. The list of File unique identifiers submitted via File Service.

due_atrequiredstring

The new due date of the dispute.

Response body - 200 OK
accept_detailsarray

Further details on why the client is accepting the PaymentDispute event.

accept_details.accepted_atstring

The time when the user accepted the PaymentDispute.

accept_details.accepted_bystring

User unique identifier of person/system actioned on case.

accept_details.descriptionstring

The accept description.

accept_details.reasonstring

The accept reason. One of

  • AGREEMENT_REACHED_WITH_CUSTOMER
  • CUSTOMER_RELATIONSHIP_MAINTENANCE
  • LOW_VALUE_TRANSACTION
  • VALID_CUSTOMER_DISPUTE
  • NO_ACTION_TAKEN_BY_MERCHANT
  • RDR_AUTO_ACCEPTED
  • COLLABORATION_ACCEPTED_MANUAL
  • COLLABORATION_AUTO_ACCEPTED
  • COLLABORATION_AUTO_ACCEPTED_BY_EXPIRY
  • OTHERS
accept_details.refundobject

The Refund requested to be created.

accept_details.refund.amountnumber

The refund amount when accepting RFI. If not specified, it will be same as the remaining amount that has been captured but not yet refunded. Please refer to supported currencies for supported minor units.

accept_details.refund.reasonstring

The refund reason when accepting RFI. OTHERS is used by default. One of REQUESTED_BY_CUSTOMER, DUPLICATE, FRAUDULENT, ABANDONED, and OTHERS

accept_details.stagestring

The stage when dispute is accepted.

acquirer_reference_numberstring

The acquirer reference number of original payment.

amountnumber

PaymentDispute amount.

card_brandstring

The card brand of original payment, applicable when payment_method_type is CARD. Possible values: visa, mastercard, maestro, union pay, american express, jcb, diners club international and discover.

challenge_detailsarray

The challenge data submitted at each stage.

challenge_details.challenged_atstring

The time when the user challenges PaymentDispute.

challenge_details.challenged_bystring

User unique identifier of person/system challenges PaymentDispute.

challenge_details.customer_infoobject

Customer information.

challenge_details.customer_info.billing_addressstring

Customer billing address.

challenge_details.customer_info.device_idstring

Customer device unique identifier.

challenge_details.customer_info.emailstring

Customer email.

challenge_details.customer_info.ipstring

Customer ip.

challenge_details.customer_info.namestring

Customer name.

challenge_details.customer_info.phone_numberstring

Customer phone number.

challenge_details.delivery_infoobject

The delivery information.

challenge_details.delivery_info.addressstring

The shipping address. Applicable at stage RFI.

challenge_details.delivery_info.delivered_atstring

The date when services or goods are delivered.

challenge_details.delivery_info.fee_amountnumber

The amount of shipping fee. Applicable at stage RFI.

challenge_details.delivery_info.fee_currencystring

The currency of shipping fee. Applicable at stage RFI.

challenge_details.delivery_info.namestring

The recipient's name. Applicable at stage RFI.

challenge_details.delivery_info.phone_numberstring

The recipient's phone number. Applicable at stage RFI.

challenge_details.delivery_info.shipped_atstring

The shipping date (the expected delivery date for RFI).

challenge_details.delivery_info.shipping_companystring

The company name managing this delivery, such as asendia-usa, 4px, and so on.

challenge_details.delivery_info.shipping_methodstring

The shipping method, such as Priority Mail, Flat rate, and so on. Applicable at stage RFI.

challenge_details.delivery_info.statusstring

The shipping status, such as SHIPPED, DELIVERED, and so on. Applicable at stage RFI.

challenge_details.delivery_info.tracking_numberstring

The shipping tracking number.

challenge_details.order_infoobject

The order information. Applicable when the stage is RFI.

challenge_details.order_info.created_atstring

Time at which this order was created.

challenge_details.order_info.idstring

The order unique identifier.

challenge_details.order_info.invoice_numberstring

The invoice number of order.

challenge_details.order_info.productsarray

The products of order.

challenge_details.order_info.products.currencystring

The product currency. Please refer to supported currencies .

challenge_details.order_info.products.namestring

The product name.

challenge_details.order_info.products.quantitynumber

The product quantity.

challenge_details.order_info.products.unit_pricenumber

The product unit price.

challenge_details.order_info.total_amountnumber

The total amount of order.

challenge_details.order_info.total_currencystring

The currency of total amount.

challenge_details.product_descriptionstring

The description of product.

challenge_details.product_typestring

The type of Product.

challenge_details.reasonstring

The reason why the merchant challenges the dispute. Possible values:

  • CUSTOMER_WITHDRAWN: The customer withdrew the dispute
  • CUSTOMER_REFUNDED: The customer has already been refunded
  • PRODUCT_RECEIVED: The customer has already received / will receive the product or service
  • NOT_ENTITLED: The customer is not entitled to refund
  • AUTHENTIC_PRODUCT: The product is not damaged, defective or counterfeit
  • OTHER_REASONS: Other reasons for challenging
challenge_details.refund_refusal_reasonstring

Explanation of why refund is refused.

challenge_details.seller_infoobject

Merchant information.

challenge_details.seller_info.namestring

Seller name.

challenge_details.seller_info.store_namestring

Store name.

challenge_details.seller_info.store_physical_addressstring

Store physical address.

challenge_details.seller_info.store_urlstring

Store URL.

challenge_details.stagestring

The stage when evidence is submitted.

challenge_details.supporting_documentsobject

The file unique identifiers of support documents.

challenge_details.supporting_documents.customer_communication_documentsarray

The file IDs of customer communication. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.customer_signature_documentsarray

The file IDs of customer signature. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.documentsarray

List of documents.

challenge_details.supporting_documents.documents.descriptionstring

Additional file descriptions or explanations.

challenge_details.supporting_documents.documents.file_idsarray

File unique identifiers of the documents.

challenge_details.supporting_documents.documents.typestring

Type of the documents. Possible values: PRIMARY, ORDER, CUSTOMER, OTHER.

  • PRIMARY: The primary evidence depends on the challenge reason.
  • ORDER: Order related evidence.
  • CUSTOMER: Customer related evidence.
  • OTHER: Other supporting evidence.
challenge_details.supporting_documents.duplicate_charge_defense_documentsarray

The file IDs of duplicate payment evidence. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.generated_filesarray

The file unique identifiers of the files generated by Airwallex automatically based on text evidence or refund information.

challenge_details.supporting_documents.other_documentsarray

The list of file IDs of other documents.
Deprecated. Use documents instead.

challenge_details.supporting_documents.proof_of_delivery_documentsarray

The file IDs of proof of delivery. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.receipt_documentsarray

The file IDs of the receipt. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

challenge_details.supporting_documents.refund_policy_documentsarray

The file IDs of the refund policy. Applicable when stage is CHARGEBACK.
Deprecated. Use documents instead.

created_atstring

Time at which this PaymentDispute was created.

currencystring

PaymentDispute currency.

customer_idstring

The customer unique identifier of original payment.

customer_namestring

The customer name of original payment.

due_atstring

PaymentDispute due date.

idstring

PaymentDispute unique identifier.

issuer_commentstring

The issuer’s comment on PaymentDispute.

issuer_documentsarray

The issuer’s documents on PaymentDispute.

merchant_order_idstring

The order unique identifier of original payment.

modestring

PaymentDispute mode. Possible values: ALLOCATION, COLLABORATION, applicable when the stage is CHARGEBACK, PRE_ARBITRATION and ARBITRATION.

payment_attempt_idstring

PaymentAttempt unique identifier.

payment_intent_idstring

PaymentIntent unique identifier.

payment_method_typestring

The payment method type of original payment.

reasonobject

PaymentDispute reason.

reason.descriptionstring

PaymentDispute reason description.

reason.original_codestring

PaymentDispute reason code.

reason.typestring

PaymentDispute reason type. Possible values: CREDIT_NOT_PROCESSED, FRAUDULENT, DUPLICATE_CHARGE, PRODUCT_NOT_RECEIVED, PRODUCT_UNACCEPTABLE, UNRECOGNIZED_CHARGE, CANCELLED_PRODUCT, MISREPRESENTATION, COUNTERFEIT_PRODUCT, PROCESSING_ERRORS, AUTHORIZATION, NOT_RECOGNIZED, BANK_REJECTION, FUND_REVERSAL, CONSUMER_DISPUTE, POINT_OF_INTERACTION_ERROR and UNKNOWN.

refundsarray

The Refunds of original payment.

refunds.acquirer_reference_numberstring

The acquirer reference number of Refund.

refunds.idstring

Refund unique identifier.

stagestring

PaymentDispute stage.

statusstring

PaymentDispute status. Possible values:

  • REQUIRES_RESPONSE: In this status, you can decide whether to accept or challenge the PaymentDispute.
    • Applicable when receive notification from card schemes that PaymentDispute has entered RFI, PRE_CHARGEBACK, CHARGEBACK, or PRE_ARBITRATION stage.
  • CHALLENGED: In this status, we have informed the issuing bank that you would like to challenge the PaymentDispute.
    • Applicable when you challenge the PaymentDispute. At PRE_CHARGEBACK stage, the issuing bank will escalate to the chargeback stage in the following days. At RFI, CHARGEBACK, and PRE_ARBITRATION stage, the issuing bank will review your submitted evidence and decide whether to escalate the PaymentDispute or not.
  • ACCEPTED: In this status the PaymentDispute has been accepted and the payment will be refunded to the shopper.
    • Applicable when you accept the PaymentDispute at RFI, PRE_CHARGEBACK, CHARGEBACK, and PRE_ARBITRATION stage.
  • REVERSED: In this status, the PaymentDispute has been reversed by the issuing bank. No further action is required.
    • Applicable when receive notification from card schemes that PaymentDispute has been reversed at PRE_CHARGEBACK, CHARGEBACK, and PRE_ARBITRATION stage.
  • WON: In this status, the issuing bank has accepted the response provided, or card schemes have ruled the PaymentDispute decision in your favor. No further action is required.
    • Applicable at CHARGEBACK, PRE_ARBITRATION and ARBITRATION stage.
  • LOST: In this status, the issuing bank has not accepted the evidence provided by you, or card schemes have ruled the PaymentDispute decision in Issuer’s favor. No further action is required.
    • Applicable at PRE_ARBITRATION and ARBITRATION stage.
  • PENDING_CLOSURE: In this status, the issuing bank has escalated the PaymentDispute to PRE_ARBITRATION stage and Airwallex is reviewing the PaymentDispute. Airwallex will decide whether to accept the PaymentDispute or respond to it on your behalf and may reach out to you for more information.
    • Applicable at PRE_ARBITRATION stage.
  • EXPIRED: In this status, the RFI event has expired as you have not responded to the request within 15 days.
    • Applicable at RFI stage.
  • PENDING_DECISION: In this status, we have responded to the issuing bank with evidence provided by you. The issuing bank will review your submitted evidence and decide whether to accept the PaymentDispute or not.
    • Applicable at PRE_ARBITRATION and ARBITRATION stage.
transaction_typestring

The transaction type of the original transaction. Possible values: PAYMENT, REFUND.

updated_atstring

Last time at which this PaymentDispute was updated or operated on.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/pa/payment_disputes/{id}/escalate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/pa/payment_disputes/payment_acceptance_id/escalate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "amount": 100,
> "comment": "<string>",
> "documents": [
> "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ"
> ],
> "due_at": "2025-08-14T09:14:00+0000"
>}'
Response (200 OK)
1{
2 "accept_details": [
3 {
4 "accepted_at": "2023-09-18T03:11:00+0000",
5 "accepted_by": "[email protected]",
6 "description": "ACCEPT",
7 "reason": "ee939540-3203-4a2c-9172-89a566485dd9",
8 "refund": {
9 "amount": 10,
10 "reason": "REQUESTED_BY_CUSTOMER"
11 }
12 }
13 ],
14 "acquirer_reference_number": "789456",
15 "amount": 100,
16 "card_brand": "visa",
17 "challenge_details": [
18 {
19 "challenged_at": "2023-09-18T03:11:00+0000",
20 "challenged_by": "[email protected]",
21 "customer_info": {
22 "billing_address": "Billing address",
23 "device_id": "00000000-000000000000000",
24 "email": "[email protected]",
25 "ip": "212.121.222.123",
26 "name": "John Deo",
27 "phone_number": "13800000000"
28 },
29 "delivery_info": {
30 "address": "Shipping address",
31 "delivered_at": "2023-09-18T03:11:00+0000",
32 "fee_amount": 10,
33 "fee_currency": "USD",
34 "name": "Joe Doe",
35 "phone_number": "13800000000",
36 "shipped_at": "2023-09-18T03:11:00+0000",
37 "shipping_company": "Shipping company",
38 "shipping_method": "Shipping method",
39 "status": "SHIPPED",
40 "tracking_number": "123456"
41 },
42 "order_info": {
43 "created_at": "2023-09-18T03:11:00+0000",
44 "id": "123456",
45 "invoice_number": "456123",
46 "products": [
47 {
48 "currency": "USD",
49 "name": "product",
50 "quantity": 2,
51 "unit_price": 100
52 }
53 ],
54 "total_amount": 200,
55 "total_currency": "USD"
56 },
57 "product_description": "product description",
58 "product_type": "PHYSICAL_GOODS",
59 "reason": "CUSTOMER_WITHDRAWN",
60 "refund_refusal_reason": "reason",
61 "seller_info": {
62 "name": "seller",
63 "store_name": "store",
64 "store_physical_address": "store address",
65 "store_url": "https://www.store-url.com"
66 },
67 "stage": "CHARGEBACK",
68 "supporting_documents": {
69 "customer_communication_documents": [
70 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
71 ],
72 "customer_signature_documents": [
73 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
74 ],
75 "documents": [
76 {
77 "description": "document descriptions",
78 "file_ids": [
79 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
80 ],
81 "type": "PRIMARY"
82 }
83 ],
84 "duplicate_charge_defense_documents": [
85 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
86 ],
87 "generated_files": [
88 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
89 ],
90 "other_documents": [
91 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
92 ],
93 "proof_of_delivery_documents": [
94 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
95 ],
96 "receipt_documents": [
97 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
98 ],
99 "refund_policy_documents": [
100 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
101 ]
102 }
103 }
104 ],
105 "created_at": "2023-09-18T03:11:00+0000",
106 "currency": "USD",
107 "customer_id": "cus_ps8e0ZgQzd2QnCxVpzJrHD6KOVu",
108 "customer_name": "John Doe",
109 "due_at": "2023-09-18T03:11:00+0000",
110 "id": "dst_nlstrf5jxgp32pfqbtq",
111 "issuer_comment": "comment",
112 "issuer_documents": [
113 "YmVkODdkNGMtNWFiZC00MzM0LdGVzdC5wZGZfMTYxNTI2MDIxOQ=="
114 ],
115 "merchant_order_id": "123456",
116 "mode": "COLLABORATION",
117 "payment_attempt_id": "att_nlstskcx5gipkzd6kse_dwsja0_decrp",
118 "payment_intent_id": "int_nlstbs6rlgipjdwsja0_decrp",
119 "payment_method_type": "VISA",
120 "reason": {
121 "description": "<string>",
122 "original_code": "<string>",
123 "type": "PRODUCT_NOT_RECEIVED"
124 },
125 "refunds": [
126 {
127 "acquirer_reference_number": "02709821210000001031868",
128 "id": "rfd_ps8e0ZgQzd2QnCxVpzJrHD6KOVu"
129 }
130 ],
131 "stage": "CHARGEBACK",
132 "status": "RECEIVED",
133 "transaction_type": "PAYMENT",
134 "updated_at": "2023-09-18T03:11:00+0000"
135}
Was this section helpful?